Summary:	JSON-GLib - a library providing serialization and deserialization support for the JSON format
Summary(pl.UTF-8):	JSON-GLib - biblioteka zapewniająca serializację i deserializację dla formatu JSON
Name:		json-glib
Version:	1.4.2
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/json-glib/1.4/%{name}-%{version}.tar.xz
# Source0-md5:	35107e23a7bbbc70f31c34f7b9adf1c3
URL:		http://live.gnome.org/JsonGlib
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools >= 0.18
BuildRequires:	glib2-devel >= 1:2.44.0
BuildRequires:	gobject-introspection-devel >= 0.9.5
BuildRequires:	gtk-doc >= 1.20
BuildRequires:	meson >= 0.40.1
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.726
Requires:	glib2 >= 1:2.44.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JSON-GLib is a library providing serialization and deserialization
support for the JavaScript Object Notation (JSON) format described by
RFC 4627.

%description -l pl.UTF-8
JSON-GLib to biblioteka zapewniająca obsługę serializacji i
deserializacji dla formatu JSON (JavaScript Object Notation) opisanego
w RFC 4627.

%package devel
Summary:	Header files for the json-glib library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki json-glib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.44.0

%description devel
Header files for the json-glib library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki json-glib.

%package apidocs
Summary:	json-glib API documentation
Summary(pl.UTF-8):	Dokumentacja API json-glib
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
json-glib API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API json-glib.

%prep
%setup -q

%build
%meson build \
	-Dintrospection=true \
	-Ddocs=true

%meson_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install -C build

%{__rm} -rf $RPM_BUILD_ROOT{%{_datadir},%{_libdir}}/installed-tests/json-glib-1.0

%find_lang %{name}-1.0

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}-1.0.lang
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_bindir}/json-glib-format
%attr(755,root,root) %{_bindir}/json-glib-validate
%attr(755,root,root) %{_libdir}/libjson-glib-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libjson-glib-1.0.so.0
%{_libdir}/girepository-1.0/Json-1.0.typelib
%{_mandir}/man1/json-glib-format.1*
%{_mandir}/man1/json-glib-validate.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libjson-glib-1.0.so
%{_datadir}/gir-1.0/Json-1.0.gir
%{_includedir}/json-glib-1.0
%{_pkgconfigdir}/json-glib-1.0.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/json-glib
%changelog
* Mon Mar 12 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/json-glib.git;a=log;h=master

* Sat Oct 21 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 913c70e
- use new meson macros

* Tue Sep 12 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 7155357
- Update to 1.4.2

* Sun Mar 19 2017 Marcin Banasiak <marcin.banasiak@gmail.com> e9e3166
- Update to 1.2.8

* Tue Mar 14 2017 Jakub Bogusz <qboosh@pld-linux.org> ba801cc
- updated to 1.2.6

* Tue Aug 02 2016 Jakub Bogusz <qboosh@pld-linux.org> c995f26
- updated to 1.2.2

* Tue Mar 22 2016 Marcin Banasiak <marcin.banasiak@gmail.com> f6bdc84
- Update to 1.2.0

* Mon Mar 14 2016 Jakub Bogusz <qboosh@pld-linux.org> fd9f1df
- updated to 1.1.2

* Sat Mar 28 2015 Elan Ruusamäe <glen@delfi.ee> 8210c6f
- noarch apidocs

* Sat Mar 21 2015 Łukasz Kieś <kiesiu@pld-linux.org> 73bf8d0
- updated to 1.0.4

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> d620cdf
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 70529b1
- updated gettext BR

* Mon Jun 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 02dd2c0
- updated to 1.0.2

* Tue Mar 25 2014 Łukasz Kieś <kiesiu@pld-linux.org> 030fd70
- updated to 1.0.0

* Sun Sep 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 1b55d26
- updated to 0.16.2

* Tue Apr 16 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 071d04a
- Update to 0.16.0

* Wed Oct 26 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 3e3e8b4
- updated to 0.14.2

* Sat Oct 01 2011 Jakub Bogusz <qboosh@pld-linux.org> ea35e15
- package locales
- release 2

* Wed Sep 28 2011 Artur Frysiak <artur@frysiak.net> 7b98444
- up to 0.14.0

* Sat Jun 18 2011 Jakub Bogusz <qboosh@pld-linux.org> b781e29
- updated to 0.12.6

* Tue Apr 12 2011 Artur Frysiak <artur@frysiak.net> 34d6560
- up to 0.12.4

